Bug 35067 - Doesn't remember test plan filename when loaded with -t command line option
Doesn't remember test plan filename when loaded with -t command line option
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
All All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-05-25 20:21 UTC by Heikki Linnakangas
Modified: 2005-05-27 17:11 UTC (History)
0 users



Attachments
Patch to fix it (7.97 KB, patch)
2005-05-25 20:28 UTC, Heikki Linnakangas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Heikki Linnakangas 2005-05-25 20:21:24 UTC
If you load a test plan using the -t command line option, JMeter behaves like
it's a new test plan that has never been saved. The filename is not displayed in
the window title, and Save Test Plan prompts for filename.

Tested on CVS head.
Comment 1 Heikki Linnakangas 2005-05-25 20:28:06 UTC
Created attachment 15170 [details]
Patch to fix it

Here's a patch to fix it. I moved setTestPlanFile-stuff to GuiPackage. I don't
know if that's the right place for it, but I think Save-class is certainly not
right.
Comment 2 Sebb 2005-05-28 01:11:55 UTC
Thanks - that bugged me too.

Patch applied to CVS HEAD